Package org.apache.commons.daemon

# Class DaemonInitException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.apache.commons.daemon.DaemonInitException

All Implemented Interfaces:
  `Serializable`

public class DaemonInitException extends Exception
Throw this during init if you can't initialise yourself for some expected reason. Using this exception will cause the exception's message to come out on stdout, rather than a dirty great stacktrace.

Version:
  $Id: DaemonInitException.java 1204007 2011-11-19 16:10:29Z ggregory $
Author:
  Nick Griffiths (nicobrevin@gmail.com)
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`DaemonInitException(String message)`
`DaemonInitException(String message, Throwable cause)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getMessageWithCause()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DaemonInitException

public DaemonInitException(String message)

### DaemonInitException

public DaemonInitException(String message, Throwable cause)

## Method Details

### getMessageWithCause

public String getMessageWithCause()